SDL_GetScancodeFromKey(3)

NAME
SDL_GetScancodeFromKey - Get the scancode corresponding to the given key code according to the current keyboard layout.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Scancode SDL_GetScancodeFromKey(SDL_Keycode key, SDL_Keymod *modstate);

DESCRIPTION
Note that there may be multiple scancode+modifier states that can generate this keycode, this will just return the first one found.

FUNCTION PARAMETERS

key the desired SDL_Keycode
     to query.

modstate
    a pointer to the modifier state that would be used when the scancode generates this key, may be NULL.

RETURN VALUE
( SDL_Scancode ) Returns the SDL_Scancode

that corresponds to the given SDL_Keycode .

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetKeyFromScancode(3), •(3), SDL_GetScancodeName(3)